> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Retrieve a list of ATS locations

GET https://api.letsdeel.com/rest/ats/locations

Returns a paginated list of all work locations associated with the organization, suitable for use when constructing job postings or filtering by location.

 **Token scopes**: `ats:read`, `worker:read`

 **Deprecated**: a newer version of this endpoint is available. This version is scheduled for removal on 2027-09-01.

 **Beta version available**: version `2026-09-01` of this endpoint is in beta. Send `X-Beta: true` to call it.

Reference: https://developer.deel.com/api/reference/endpoints/ats-locations/retrieve-a-list-of-ats-locations-v-2026-01-01

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Query parameters

- `cursor` (string, optional) — The cursor for pagination
- `limit` (integer, optional, default: 20) — Maximum number of records returned in one response
- `include_archived` (string, optional) — If true, archived locations are included in the response; they are excluded by default

## Response

### 200

Successful response with locations data.

- `data` (list of AtsLocationsGetResponsesContentApplicationJsonSchemaDataItems, required) — Page of locations.
- `has_more` (boolean, required) — Indicates if there are more locations available
- `next_cursor` (string, required, nullable) — Cursor for pagination to get the next set of results
- `total_count` (integer, required) — Total number of locations available

## Errors

### 400 Bad Request Error

Operation failed.

- `errors` (list of AtsLocationsGetResponsesContentApplicationJsonSchemaErrorsItems, required) — List of error objects

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Forbidden. ATS is not enabled for this organization or insufficient permissions.

- `errors` (list of AtsLocationsGetResponsesContentApplicationJsonSchemaErrorsItems, required) — List of error objects

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `errors` (list of AtsLocationsGetResponsesContentApplicationJsonSchemaErrorsItems, required) — List of error objects

## Types

### AtsLocationsGetResponsesContentApplicationJsonSchemaDataItems

- `id` (string, required) — Unique identifier for the location
- `name` (string, required) — Name of the location/country
- `created_at` (string, required) — Timestamp when the location was created
- `updated_at` (string, required) — Timestamp when the location was last updated
- `city` (string, optional, nullable) — City name
- `is_remote` (boolean, optional) — Indicates if this is a remote location
- `archived_at` (string, optional, nullable) — Timestamp when the location was archived; null while the location is active and selectable
- `country_code` (string, optional, nullable) — ISO country code
- `location_group` (AtsLocationsGetResponsesContentApplicationJsonSchemaDataItemsLocationGroup, optional, nullable) — Location group information
- `province_or_region_text` (string, optional, nullable) — Province or region text

### AtsLocationsGetResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, required) — Machine-readable error code
- `message` (string, required) — Human-readable error message
- `field` (string, optional) — Request field related to the error, if applicable

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### AtsLocationsGetResponsesContentApplicationJsonSchemaDataItemsLocationGroup

Location group information

- `id` (string, required) — Unique identifier for the location group
- `name` (string, required) — Name of the location group

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "name": "United States",
      "created_at": "2023-01-01T00:00:00Z",
      "updated_at": "2023-01-01T00:00:00Z",
      "city": "New York",
      "is_remote": false,
      "country_code": "US",
      "location_group": {
        "id": "550e8400-e29b-41d4-a716-446655440000",
        "name": "Remote"
      },
      "province_or_region_text": "New York"
    }
  ],
  "has_more": false,
  "next_cursor": "cursor123",
  "total_count": 100
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/ats/locations"

querystring = {"cursor":"cursorValue","include_archived":"true","limit":"50"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/ats/locations?cursor=cursorValue&include_archived=true&limit=50';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/ats/locations?cursor=cursorValue&include_archived=true&limit=50"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/ats/locations?cursor=cursorValue&include_archived=true&limit=50")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/ats/locations?cursor=cursorValue&include_archived=true&limit=50")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/ats/locations?cursor=cursorValue&include_archived=true&limit=50', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/ats/locations?cursor=cursorValue&include_archived=true&limit=50");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/ats/locations?cursor=cursorValue&include_archived=true&limit=50")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```